Delivers all SCX sellers.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"salesChannelId": "<string>",
"name": "<string>",
"isActive": true,
"isBlocked": 123,
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"languageId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"sellerId": "<string>",
"channel": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"reason": "<string>",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"channelDisplayName": "<string>",
"channelCurrency": "<string>",
"isDocumentStorageEnabled": true,
"isStockUpdateEnabled": true,
"isOfferAutomappingEnabled": true,
"isAttributeImportEnabled": true,
"paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"pendingOfferDeletionIntervalDays": 123,
"completedOfferDeletionIntervalDays": 123,
"isDeleted": true,
"isVariationsSupported": true,
"isQuantityPriceSupported": true,
"isAllowCombineOrders": true
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}wawi
Delivers all SCX sellers.
GET
/
v2
/
sales-channels
/
scx
/
sellers
Delivers all SCX sellers.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Query Parameters
Number of the page of items to fetch. Defaults to 1 when omitted.
Size of the page specified by PageNumber. Defaults to 100 when omitted.
Only include items whose CreatedAt is after (greater than) this value.
Only include items whose CreatedAt is before (less than) this value.
Only include items whose UpdatedAt is after (greater than) this value.
Only include items whose UpdatedAt is before (less than) this value.
Was this page helpful?
⌘I